Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

Get Role

GET
/iam/v1/roles/{id}
curl --request GET \
--url https://example.com/iam/v1/roles/example

Returns a role by unique ID

id
required
string

The unique identifier of the role to retrieve

OK

Media type application/json

Role resource — a named collection of permissions assignable to principals

object
id

The unique identifier of the role

stringOutput only
name
required

The display name of the role

string
description

An optional description of the role

string
role_type

The type of role (system or custom)

string format: enum Output only
Allowed values: ROLE_TYPE_UNSPECIFIED ROLE_TYPE_SYSTEM ROLE_TYPE_CUSTOM
stage

The lifecycle stage of the role

string format: enum Output only
Allowed values: ROLE_STAGE_UNSPECIFIED ROLE_STAGE_ACTIVE ROLE_STAGE_DEPRECATED ROLE_STAGE_DISABLED
scope_type

The type of scope this role is defined in (only for custom roles)

string format: enum
Allowed values: SCOPE_TYPE_UNSPECIFIED SCOPE_TYPE_WORKSPACE SCOPE_TYPE_GROUP SCOPE_TYPE_ORGANISATION SCOPE_TYPE_PLATFORM
scope_id

The ID of the scoped resource (only for custom roles)

string
created

Created Timestamp

The timestamp when the role was created

string format: date-time Output only
updated

Updated Timestamp

Timestamp when the Role was last updated

string format: date-time Output only
Example
{
"role_type": "ROLE_TYPE_UNSPECIFIED",
"stage": "ROLE_STAGE_UNSPECIFIED",
"scope_type": "SCOPE_TYPE_UNSPECIFIED"
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}